#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include "feedback.h"

void syntaxerror(char*format, ...)
{
    char buf[1024];
    va_list arglist;
    va_start(arglist, format);
    vsprintf(buf, format, arglist);
    va_end(arglist);
    fprintf(stderr, "\"%s\", line %d column %d: error- %s\n", filename, line, column, buf);
    if (cleanUp)
	    cleanUp();
    exit(1);
}

void warning(char*format, ...)
{
    char buf[1024];
    va_list arglist;
    va_start(arglist, format);
    vsprintf(buf, format, arglist);
    va_end(arglist);
    fprintf(stderr, "\"%s\", line %d column %d: warning- %s\n", filename, line, column, buf);
}
